uniform sampler2D texture;

void main()
{
	vec4 pixel = texture2D(texture, gl_TexCoord[0].xy);

	if(pixel[3] > 0.0)
	{
		gl_FragColor = vec4(0.0, 0.0, 0.0, 0.5);
	}
	else
	{
		gl_FragColor = pixel;
	}
}


